package de.intevation.gnv.wms;

/**
 * @author Ingo Weinzierl (ingo.weinzierl@intevation.de)
 */
public class LayerInfo {

    public static final String LAYER        = "layer";
    public static final String LAYER_MODEL  = "model";
    public static final String LAYER_NAME   = "name";
    public static final String LAYER_TYPE   = "type";
    public static final String LAYER_DATA   = "data";
    public static final String LAYER_STATUS = "status";
    public static final String LAYER_TITLE  = "title";

    private String name;
    private String title;
    private String type;
    private String data;
    private String status;
    private String model;


    public LayerInfo() {
    }


    public void setData(String data) {
        this.data = data;
    }

    public String getData() {
        return data;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public boolean isEmpty() {
        if (name == null && data == null && type == null && status == null)
            return true;

        return false;
    }

    public boolean isBroken() {
        if (name == null || data == null || type == null)
            return true;

        return false;
    }
}
